
package com.archeus.test;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;

@WebService(name = "LemmatizerService", targetNamespace = "http://www.archeus.ro/lingvistica/services/Lemmatizer")
@SOAPBinding(style = SOAPBinding.Style.RPC, use = SOAPBinding.Use.LITERAL, parameterStyle = SOAPBinding.ParameterStyle.BARE)
public interface LemmatizerService {

	@WebMethod(operationName = "lemmatizeWord", action = "")
	@WebResult(name = "lemmatizeWordReturn", targetNamespace = "http://www.archeus.ro/lingvistica/services/Lemmatizer")
	public String lemmatizeWord(
			@WebParam(name = "word", targetNamespace = "http://www.archeus.ro/lingvistica/services/Lemmatizer")
			String word,
			@WebParam(name = "lang", targetNamespace = "http://www.archeus.ro/lingvistica/services/Lemmatizer")
			String lang);

	@WebMethod(operationName = "lemmatizeText", action = "")
	@WebResult(name = "lemmatizeTextReturn", targetNamespace = "http://www.archeus.ro/lingvistica/services/Lemmatizer")
	public String lemmatizeText(
			@WebParam(name = "text", targetNamespace = "http://www.archeus.ro/lingvistica/services/Lemmatizer")
			String text,
			@WebParam(name = "lang", targetNamespace = "http://www.archeus.ro/lingvistica/services/Lemmatizer")
			String lang);

}
